import os
import numpy
import pprint

def enercomp(prefix, n):
    energies = []
    for k in range(n):
        p = "%s/%s.nwo" % (k, prefix)
        with open(p) as logfile:
            for line in logfile:
                line = line.strip()
                if "Total DFT energy" in line:
                    e = float(line.split()[-1])
            energies.append(e)

    energies = sorted(list(set(energies)))
    differences = set()
    for j in range(len(energies)):
        for k in range(len(energies)):
            d = abs(energies[j] - energies[k])
            differences.add(d)

    print "ENERGIES %s" % prefix
    pprint.pprint(energies)
    print "STANDARD DEVIATION", numpy.std(energies)

    print "DIFFERENCES %s" % prefix
    pprint.pprint(sorted(list(differences)))
                    

def main(prefix):
    n = 25
    for k in range(n):
        outfile = "%s/%s.nwo" % (k, prefix)
        if not os.path.exists(outfile):
            cmd = "rm *; cp tmp/%s.nw .; mpirun -np 4 nwchem %s.nw > %s.nwo; mkdir %s; mv %s.nw* %s" % (prefix, prefix, prefix, k, prefix, k)
            print cmd
            os.system(cmd)

    enercomp(prefix, n)

if __name__ == '__main__':
    main("I")
    main("II")
